<?PHP

class menu_Model{

	var $call_controller = array('menu');
	var $call_designer = array('menu');

	function sitemap(){

		$this->menu->get_sitemap_data()->Page('sitemap');
	}
	function footer(){

		$this->menu->get_public_menus($this->position)->Page('footer');
	}
	function adminmenu(){

		if($_SESSION['logged'] == true && $_SESSION['UserData']['role_id'])
			$this->menu->adminmenu()->Page('adminmenu');
	}

	function public_menu(){

		$this->menu->get_public_menus($this->position)->Page('public_menu');
	}
}
?>